package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/*
 *项目名: netflix
 *文件名: UserMirrorShopDistributeWaitingSendPoints
 *创建者: JavaZou
 *创建时间:2022/11/15 12:11
 */
@Getter
@Setter
public class UserMirrorShopDistributeWaitingSendPoints extends BaseEntity{
	/**
	 * 分销订单产生用户id
	 */
	private Long userId;

	/**
	 * 店铺主user_id
	 */
	private Long shopUserId;

	private Long orderId;

	private BigDecimal money;

	private BigDecimal refundMoney;

	/**
	 * 退款状态不再发
	 */
	private Status sendStatus;

	private Integer version;

	private Date sendTime;

	/**
	 * 获取提成比例
	 */
	private Integer rate;

	/**
	 * 提成类型 1.镜像店铺订单 2.加盟提成订单 默认1
	 */
	private Integer type;

	@Getter
	public enum Status{
		close("分销订单关闭,积分奖励不分发"),
		success("积分发送成功"),
		waiting("积分等待发送"),
		not_exist("用户不存在,导致发送失败"),
		;
		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}
}
